Source: libdbix-class-perl
Maintainer: Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>
Uploaders: gregor herrmann <gregoa@debian.org>,
           Ansgar Burchardt <ansgar@debian.org>
Section: perl
Testsuite: autopkgtest-pkg-perl
Priority: optional
Build-Depends: debhelper-compat (= 13)
Build-Depends-Indep: libclass-accessor-grouped-perl <!nocheck>,
                     libclass-c3-componentised-perl <!nocheck>,
                     libclass-dbi-perl <!nocheck>,
                     libclass-inspector-perl <!nocheck>,
                     libclass-trigger-perl <!nocheck>,
                     libclass-unload-perl <!nocheck>,
                     libclone-perl <!nocheck>,
                     libconfig-any-perl <!nocheck>,
                     libcontext-preserve-perl <!nocheck>,
                     libdata-dumper-concise-perl <!nocheck>,
                     libdate-simple-perl <!nocheck>,
                     libdatetime-format-mysql-perl <!nocheck>,
                     libdatetime-format-pg-perl <!nocheck>,
                     libdatetime-format-sqlite-perl <!nocheck>,
                     libdatetime-format-strptime-perl <!nocheck>,
                     libdbd-sqlite3-perl <!nocheck>,
                     libdbi-perl <!nocheck>,
                     libdbix-contextualfetch-perl <!nocheck>,
                     libdevel-globaldestruction-perl <!nocheck>,
                     libgetopt-long-descriptive-perl <!nocheck>,
                     libhash-merge-perl <!nocheck>,
                     libjson-any-perl <!nocheck>,
                     libmath-base36-perl <!nocheck>,
                     libmodule-find-perl <!nocheck>,
                     libmoo-perl <!nocheck>,
                     libmoose-perl <!nocheck>,
                     libmoosex-types-json-perl <!nocheck>,
                     libmoosex-types-loadableclass-perl <!nocheck>,
                     libmoosex-types-path-class-perl <!nocheck>,
                     libmoosex-types-perl <!nocheck>,
                     libnamespace-clean-perl <!nocheck>,
                     libpackage-stash-perl <!nocheck>,
                     libpath-class-perl <!nocheck>,
                     libscope-guard-perl <!nocheck>,
                     libsql-abstract-classic-perl <!nocheck>,
                     libsql-translator-perl <!nocheck>,
                     libsub-name-perl <!nocheck>,
                     libtest-deep-perl <!nocheck>,
                     libtest-exception-perl <!nocheck>,
                     libtest-warn-perl <!nocheck>,
                     libtext-csv-perl <!nocheck>,
                     libtime-piece-mysql-perl <!nocheck>,
                     libtry-tiny-perl <!nocheck>,
                     perl
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/perl-team/modules/packages/libdbix-class-perl
Vcs-Git: https://salsa.debian.org/perl-team/modules/packages/libdbix-class-perl.git
Homepage: https://metacpan.org/release/DBIx-Class
Rules-Requires-Root: no

Package: libdbix-class-perl
Architecture: all
Depends: ${misc:Depends},
         ${perl:Depends},
         libclass-accessor-grouped-perl,
         libclass-c3-componentised-perl,
         libclass-inspector-perl,
         libconfig-any-perl,
         libcontext-preserve-perl,
         libdata-dumper-concise-perl,
         libdbi-perl,
         libdevel-globaldestruction-perl,
         libhash-merge-perl,
         libmodule-find-perl,
         libmoo-perl,
         libnamespace-clean-perl,
         libpath-class-perl,
         libscope-guard-perl,
         libsql-abstract-classic-perl,
         libsub-name-perl,
         libtry-tiny-perl
Recommends: libsql-translator-perl
Suggests: libclone-perl,
          libgetopt-long-descriptive-perl,
          libjson-any-perl,
          libmath-base36-perl,
          libmoose-perl,
          libmoosex-types-json-perl,
          libmoosex-types-loadableclass-perl,
          libmoosex-types-path-class-perl,
          libmoosex-types-perl,
          libtext-csv-perl
Breaks: libdbicx-sugar-perl (<< 0.0200-2~)
Description: extensible and flexible object <-> relational mapper
 DBIx::Class is an SQL to OO mapper with an object API inspired by Class::DBI
 (and a compatibility layer as a springboard for porting) and a resultset API
 that allows abstract encapsulation of database operations. It aims to make
 representing queries in your code as perl-ish as possible while still
 providing access to as many of the capabilities of the database as possible,
 including retrieving related records from multiple tables in a single query,
 JOIN, LEFT JOIN, COUNT, DISTINCT, GROUP BY and HAVING support.
 .
 DBIx::Class can handle multi-column primary and foreign keys, complex queries
 and database-level paging, and does its best to only query the database in
 order to return something you've directly asked for. If a resultset is used
 as an iterator it only fetches rows off the statement handle as requested
 in order to minimise memory usage. It has auto-increment support for SQLite,
 MySQL, PostgreSQL, Oracle, SQL Server and DB2 and is known to be used in
 production on at least the first four, and is fork- and thread-safe out of
 the box (although your DBD may not be).
